﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace NaveoOneLib.NaveoEng {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="EngServiceSoap", Namespace="http://Naveo.mu/")]
    public partial class EngService : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback HelloWorldOperationCompleted;
        
        private System.Threading.SendOrPostCallback CreateBeginConnectionOperationCompleted;
        
        private System.Threading.SendOrPostCallback CloseCachedConnectionOperationCompleted;
        
        private System.Threading.SendOrPostCallback ShowCacheOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetDataTableOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetDataTableByOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetDataDSOperationCompleted;
        
        private System.Threading.SendOrPostCallback ProcessDataOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetLatestGPSDataOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetExceptionsOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public EngService() {
            this.Url = global::NaveoOneLib.Properties.Settings.Default.NaveoOneLib_NaveoEng_EngService;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event HelloWorldCompletedEventHandler HelloWorldCompleted;
        
        /// <remarks/>
        public event CreateBeginConnectionCompletedEventHandler CreateBeginConnectionCompleted;
        
        /// <remarks/>
        public event CloseCachedConnectionCompletedEventHandler CloseCachedConnectionCompleted;
        
        /// <remarks/>
        public event ShowCacheCompletedEventHandler ShowCacheCompleted;
        
        /// <remarks/>
        public event GetDataTableCompletedEventHandler GetDataTableCompleted;
        
        /// <remarks/>
        public event GetDataTableByCompletedEventHandler GetDataTableByCompleted;
        
        /// <remarks/>
        public event GetDataDSCompletedEventHandler GetDataDSCompleted;
        
        /// <remarks/>
        public event ProcessDataCompletedEventHandler ProcessDataCompleted;
        
        /// <remarks/>
        public event GetLatestGPSDataCompletedEventHandler GetLatestGPSDataCompleted;
        
        /// <remarks/>
        public event GetExceptionsCompletedEventHandler GetExceptionsCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/HelloWorld", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string HelloWorld() {
            object[] results = this.Invoke("HelloWorld", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void HelloWorldAsync() {
            this.HelloWorldAsync(null);
        }
        
        /// <remarks/>
        public void HelloWorldAsync(object userState) {
            if ((this.HelloWorldOperationCompleted == null)) {
                this.HelloWorldOperationCompleted = new System.Threading.SendOrPostCallback(this.OnHelloWorldOperationCompleted);
            }
            this.InvokeAsync("HelloWorld", new object[0], this.HelloWorldOperationCompleted, userState);
        }
        
        private void OnHelloWorldOperationCompleted(object arg) {
            if ((this.HelloWorldCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.HelloWorldCompleted(this, new HelloWorldCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/CreateBeginConnection", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public System.Guid CreateBeginConnection(string InitialChk) {
            object[] results = this.Invoke("CreateBeginConnection", new object[] {
                        InitialChk});
            return ((System.Guid)(results[0]));
        }
        
        /// <remarks/>
        public void CreateBeginConnectionAsync(string InitialChk) {
            this.CreateBeginConnectionAsync(InitialChk, null);
        }
        
        /// <remarks/>
        public void CreateBeginConnectionAsync(string InitialChk, object userState) {
            if ((this.CreateBeginConnectionOperationCompleted == null)) {
                this.CreateBeginConnectionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCreateBeginConnectionOperationCompleted);
            }
            this.InvokeAsync("CreateBeginConnection", new object[] {
                        InitialChk}, this.CreateBeginConnectionOperationCompleted, userState);
        }
        
        private void OnCreateBeginConnectionOperationCompleted(object arg) {
            if ((this.CreateBeginConnectionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CreateBeginConnectionCompleted(this, new CreateBeginConnectionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/CloseCachedConnection", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool CloseCachedConnection(System.Guid connId, int status, bool Commit) {
            object[] results = this.Invoke("CloseCachedConnection", new object[] {
                        connId,
                        status,
                        Commit});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void CloseCachedConnectionAsync(System.Guid connId, int status, bool Commit) {
            this.CloseCachedConnectionAsync(connId, status, Commit, null);
        }
        
        /// <remarks/>
        public void CloseCachedConnectionAsync(System.Guid connId, int status, bool Commit, object userState) {
            if ((this.CloseCachedConnectionOperationCompleted == null)) {
                this.CloseCachedConnectionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCloseCachedConnectionOperationCompleted);
            }
            this.InvokeAsync("CloseCachedConnection", new object[] {
                        connId,
                        status,
                        Commit}, this.CloseCachedConnectionOperationCompleted, userState);
        }
        
        private void OnCloseCachedConnectionOperationCompleted(object arg) {
            if ((this.CloseCachedConnectionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CloseCachedConnectionCompleted(this, new CloseCachedConnectionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ShowCache", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string ShowCache() {
            object[] results = this.Invoke("ShowCache", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void ShowCacheAsync() {
            this.ShowCacheAsync(null);
        }
        
        /// <remarks/>
        public void ShowCacheAsync(object userState) {
            if ((this.ShowCacheOperationCompleted == null)) {
                this.ShowCacheOperationCompleted = new System.Threading.SendOrPostCallback(this.OnShowCacheOperationCompleted);
            }
            this.InvokeAsync("ShowCache", new object[0], this.ShowCacheOperationCompleted, userState);
        }
        
        private void OnShowCacheOperationCompleted(object arg) {
            if ((this.ShowCacheCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ShowCacheCompleted(this, new ShowCacheCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/GetDataTable", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] GetDataTable(string s, string strParams, string strDB) {
            object[] results = this.Invoke("GetDataTable", new object[] {
                        s,
                        strParams,
                        strDB});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void GetDataTableAsync(string s, string strParams, string strDB) {
            this.GetDataTableAsync(s, strParams, strDB, null);
        }
        
        /// <remarks/>
        public void GetDataTableAsync(string s, string strParams, string strDB, object userState) {
            if ((this.GetDataTableOperationCompleted == null)) {
                this.GetDataTableOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetDataTableOperationCompleted);
            }
            this.InvokeAsync("GetDataTable", new object[] {
                        s,
                        strParams,
                        strDB}, this.GetDataTableOperationCompleted, userState);
        }
        
        private void OnGetDataTableOperationCompleted(object arg) {
            if ((this.GetDataTableCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetDataTableCompleted(this, new GetDataTableCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/GetDataTableBy", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] GetDataTableBy(string mySQL, string id, string strDB) {
            object[] results = this.Invoke("GetDataTableBy", new object[] {
                        mySQL,
                        id,
                        strDB});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void GetDataTableByAsync(string mySQL, string id, string strDB) {
            this.GetDataTableByAsync(mySQL, id, strDB, null);
        }
        
        /// <remarks/>
        public void GetDataTableByAsync(string mySQL, string id, string strDB, object userState) {
            if ((this.GetDataTableByOperationCompleted == null)) {
                this.GetDataTableByOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetDataTableByOperationCompleted);
            }
            this.InvokeAsync("GetDataTableBy", new object[] {
                        mySQL,
                        id,
                        strDB}, this.GetDataTableByOperationCompleted, userState);
        }
        
        private void OnGetDataTableByOperationCompleted(object arg) {
            if ((this.GetDataTableByCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetDataTableByCompleted(this, new GetDataTableByCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/GetDataDS", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] GetDataDS([System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] b, string strDB) {
            object[] results = this.Invoke("GetDataDS", new object[] {
                        b,
                        strDB});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void GetDataDSAsync(byte[] b, string strDB) {
            this.GetDataDSAsync(b, strDB, null);
        }
        
        /// <remarks/>
        public void GetDataDSAsync(byte[] b, string strDB, object userState) {
            if ((this.GetDataDSOperationCompleted == null)) {
                this.GetDataDSOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetDataDSOperationCompleted);
            }
            this.InvokeAsync("GetDataDS", new object[] {
                        b,
                        strDB}, this.GetDataDSOperationCompleted, userState);
        }
        
        private void OnGetDataDSOperationCompleted(object arg) {
            if ((this.GetDataDSCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetDataDSCompleted(this, new GetDataDSCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ProcessData", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] ProcessData([System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] b, string strDB) {
            object[] results = this.Invoke("ProcessData", new object[] {
                        b,
                        strDB});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void ProcessDataAsync(byte[] b, string strDB) {
            this.ProcessDataAsync(b, strDB, null);
        }
        
        /// <remarks/>
        public void ProcessDataAsync(byte[] b, string strDB, object userState) {
            if ((this.ProcessDataOperationCompleted == null)) {
                this.ProcessDataOperationCompleted = new System.Threading.SendOrPostCallback(this.OnProcessDataOperationCompleted);
            }
            this.InvokeAsync("ProcessData", new object[] {
                        b,
                        strDB}, this.ProcessDataOperationCompleted, userState);
        }
        
        private void OnProcessDataOperationCompleted(object arg) {
            if ((this.ProcessDataCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ProcessDataCompleted(this, new ProcessDataCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/GetLatestGPSData", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] GetLatestGPSData([System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] b, string strDB) {
            object[] results = this.Invoke("GetLatestGPSData", new object[] {
                        b,
                        strDB});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void GetLatestGPSDataAsync(byte[] b, string strDB) {
            this.GetLatestGPSDataAsync(b, strDB, null);
        }
        
        /// <remarks/>
        public void GetLatestGPSDataAsync(byte[] b, string strDB, object userState) {
            if ((this.GetLatestGPSDataOperationCompleted == null)) {
                this.GetLatestGPSDataOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetLatestGPSDataOperationCompleted);
            }
            this.InvokeAsync("GetLatestGPSData", new object[] {
                        b,
                        strDB}, this.GetLatestGPSDataOperationCompleted, userState);
        }
        
        private void OnGetLatestGPSDataOperationCompleted(object arg) {
            if ((this.GetLatestGPSDataCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetLatestGPSDataCompleted(this, new GetLatestGPSDataCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/GetExceptions", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] GetExceptions([System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] b, System.DateTime dtFrom, System.DateTime dtTo, string sConnStr) {
            object[] results = this.Invoke("GetExceptions", new object[] {
                        b,
                        dtFrom,
                        dtTo,
                        sConnStr});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void GetExceptionsAsync(byte[] b, System.DateTime dtFrom, System.DateTime dtTo, string sConnStr) {
            this.GetExceptionsAsync(b, dtFrom, dtTo, sConnStr, null);
        }
        
        /// <remarks/>
        public void GetExceptionsAsync(byte[] b, System.DateTime dtFrom, System.DateTime dtTo, string sConnStr, object userState) {
            if ((this.GetExceptionsOperationCompleted == null)) {
                this.GetExceptionsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetExceptionsOperationCompleted);
            }
            this.InvokeAsync("GetExceptions", new object[] {
                        b,
                        dtFrom,
                        dtTo,
                        sConnStr}, this.GetExceptionsOperationCompleted, userState);
        }
        
        private void OnGetExceptionsOperationCompleted(object arg) {
            if ((this.GetExceptionsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetExceptionsCompleted(this, new GetExceptionsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void HelloWorldCompletedEventHandler(object sender, HelloWorldCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class HelloWorldCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal HelloWorldCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CreateBeginConnectionCompletedEventHandler(object sender, CreateBeginConnectionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CreateBeginConnectionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CreateBeginConnectionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public System.Guid Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.Guid)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CloseCachedConnectionCompletedEventHandler(object sender, CloseCachedConnectionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CloseCachedConnectionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CloseCachedConnectionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ShowCacheCompletedEventHandler(object sender, ShowCacheCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ShowCacheCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ShowCacheCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void GetDataTableCompletedEventHandler(object sender, GetDataTableCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetDataTableCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetDataTableCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void GetDataTableByCompletedEventHandler(object sender, GetDataTableByCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetDataTableByCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetDataTableByCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void GetDataDSCompletedEventHandler(object sender, GetDataDSCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetDataDSCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetDataDSCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ProcessDataCompletedEventHandler(object sender, ProcessDataCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ProcessDataCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ProcessDataCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void GetLatestGPSDataCompletedEventHandler(object sender, GetLatestGPSDataCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetLatestGPSDataCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetLatestGPSDataCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void GetExceptionsCompletedEventHandler(object sender, GetExceptionsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetExceptionsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetExceptionsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591